import { SlatePlugin, SPEditor, TElement } from '@udecode/slate-plugins-core';
import { DeserializeHTMLChildren } from '../types';
/**
 * Deserialize HTML to Element.
 */
export declare const deserializeHTMLToElement: <T extends SPEditor = SPEditor>(editor: T, { plugins, element, children, }: {
    plugins: SlatePlugin<T>[];
    element: HTMLElement;
    children: DeserializeHTMLChildren[];
}) => TElement | undefined;
//# sourceMappingURL=deserializeHTMLToElement.d.ts.map